%define pkg_name        Apache-Backend-POE
%define pkg_version     0.02
%define rpm_pkg_version 0.02
%define rpm_pkg_release 1.n0i.1

Summary:       Communicate with a POE server using persistent connections
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/X/XA/XANTUS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Apache)
BuildRequires: perl(POSIX)
BuildRequires: perl(Storable)


%description
This module allows you to communicate with a POE server using persistent
connections.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Wed Jun 13 2007 Marius Feraru <altblue@n0i.net> - 0.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.02
